com.google.appengine.api.files

## Class GSFileOptions.GSFileOptionsBuilder

- java.lang.Object
- - com.google.appengine.api.files.GSFileOptions.GSFileOptionsBuilder

- Enclosing class:
    GSFileOptions

      public static class GSFileOptions.GSFileOptionsBuilder
      extends java.lang.Object

  A builder of GSFileOptions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GSFileOptions.GSFileOptionsBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GSFileOptions.GSFileOptionsBuilder` | `addUserMetadata(java.lang.String key, java.lang.String value)` Adds user specific metadata that will be added to object headers when served through Google Storage: "http://code.google.com/apis/storage/docs/reference-headers.html#xgoogmeta" Each entry will be prefixed with x-goog-meta- when serving out.
    `GSFileOptions` | `build()`
    `GSFileOptions.GSFileOptionsBuilder` | `setAcl(java.lang.String acl)` Sets the acl of the object.
    `GSFileOptions.GSFileOptionsBuilder` | `setBucket(java.lang.String bucket)` Sets the name of the bucket.
    `GSFileOptions.GSFileOptionsBuilder` | `setCacheControl(java.lang.String cacheControl)` Sets the cache control for the object.
    `GSFileOptions.GSFileOptionsBuilder` | `setContentDisposition(java.lang.String contentDisposition)` Sets the content disposition for the object.
    `GSFileOptions.GSFileOptionsBuilder` | `setContentEncoding(java.lang.String contentEncoding)` Sets the content encoding for the object.
    `GSFileOptions.GSFileOptionsBuilder` | `setKey(java.lang.String key)` Sets the key of the object.
    `GSFileOptions.GSFileOptionsBuilder` | `setMimeType(java.lang.String mimeType)` Sets the mime type of the object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GSFileOptions.GSFileOptionsBuilder

          public GSFileOptions.GSFileOptionsBuilder()

  - ### Method Detail

    - #### setBucket

          public GSFileOptions.GSFileOptionsBuilder setBucket(java.lang.String bucket)

      Sets the name of the bucket. Required.
      Parameters:
        `bucket` - name of the Google Storage bucket
      Returns:
        this for chaining.

    - #### setKey

          public GSFileOptions.GSFileOptionsBuilder setKey(java.lang.String key)

      Sets the key of the object. Required.
      Parameters:
        `key` - of the Google Storage object
      Returns:
        this for chaining.

    - #### setMimeType

          public GSFileOptions.GSFileOptionsBuilder setMimeType(java.lang.String mimeType)

      Sets the mime type of the object. If not set, default Google Storage mime type is used when served out of Google Storage. "http://code.google.com/apis/storage/docs/reference-headers.html#contenttype"
      Parameters:
        `mimeType` - of the Google Storage object.
      Returns:
        this for chaining.

    - #### setAcl

          public GSFileOptions.GSFileOptionsBuilder setAcl(java.lang.String acl)

      Sets the acl of the object. If not set, defaults to none (ie, bucket default). "http://code.google.com/apis/storage/docs/accesscontrol.html"
      Parameters:
        `acl` - to use for the Google Storage object.
      Returns:
        this for chaining.

    - #### setCacheControl

          public GSFileOptions.GSFileOptionsBuilder setCacheControl(java.lang.String cacheControl)

      Sets the cache control for the object. If not set, default value is used. "http://code.google.com/apis/storage/docs/reference-headers.html#cachecontrol"
      Parameters:
        `cacheControl` - to use for the Google Storage object.
      Returns:
        this for chaining.

    - #### setContentEncoding

          public GSFileOptions.GSFileOptionsBuilder setContentEncoding(java.lang.String contentEncoding)

      Sets the content encoding for the object. If not set, default value is used. "http://code.google.com/apis/storage/docs/reference-headers.html#contentencoding"
      Parameters:
        `contentEncoding` - to use for the Google Storage object.
      Returns:
        this for chaining.

    - #### setContentDisposition

          public GSFileOptions.GSFileOptionsBuilder setContentDisposition(java.lang.String contentDisposition)

      Sets the content disposition for the object. If not set, default value is used. "http://code.google.com/apis/storage/docs/reference-headers.html#contentdisposition"
      Parameters:
        `contentDisposition` - to use for the Google Storage object.
      Returns:
        this for chaining.

    - #### addUserMetadata

          public GSFileOptions.GSFileOptionsBuilder addUserMetadata(java.lang.String key,
                                                           java.lang.String value)

      Adds user specific metadata that will be added to object headers when served through Google Storage: "http://code.google.com/apis/storage/docs/reference-headers.html#xgoogmeta" Each entry will be prefixed with x-goog-meta- when serving out. For example, if you add 'foo'->'bar' entry to userMetadata map, it will be served out as a header: x-goog-meta-foo: bar
      Parameters:
        `key` -
        `value` -
      Returns:
        this for chaining.

    - #### build

          public GSFileOptions build()